package kcg.imis.cmmn.bbs;

/**
 * 
  * @FileName : BaseSearchVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 22. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 : 기본 게시판 검색 VO 
 */
public class BaseSearchVO {
	/**
	 * 현재 페이지.
	 */
	private int pageIndex = 1;

	/**
	 * 페이지 개수.
	 */
	private int pageUnit; // properties에서 설정

	/**
	 * 페이지 사이즈.
	 */
	private int pageSize; // properties에서 설정

	/**
	 * 시작 인덱스.
	 */
	private int firstIndex = 0;

	/**
	 * 끝 인덱스.
	 */
	private int lastIndex = 1;

	/**
	 * 페이지별 레코드 개수.
	 */
	private int recordCountPerPage = 10;

	/**
	 * 검색 키워드.
	 */
	private String searchKeyword = "";
	/**
	 * 검색 조건.
	 */
	private String searchCondition = "";

	/**
	 * 현재 페이지를 반환한다.
	 * 
	 * @return 현재 페이지
	 */
	public final int getPageIndex() {
		return pageIndex;
	}

	/**
	 * 현재 페이지를 설정한다.
	 * 
	 * @param pageIndex
	 *            현재 페이지
	 */
	public final void setPageIndex(final int pageIndex) {
		this.pageIndex = pageIndex;
	}

	/**
	 * 페이지 개수를 반환한다.
	 * 
	 * @return 페이지 개수
	 */
	public final int getPageUnit() {
		return pageUnit;
	}

	/**
	 * 페이지 개수를 설정한다.
	 * 
	 * @param pageUnit
	 *            페이지 개수
	 */
	public final void setPageUnit(final int pageUnit) {
		this.pageUnit = pageUnit;
	}

	/**
	 * 페이지 사이즈를 반환한다.
	 * 
	 * @return 페이지 사이즈
	 */
	public final int getPageSize() {
		return pageSize;
	}

	/**
	 * 페이지 사이즈를 설정한다.
	 * 
	 * @param pageSize
	 *            페이지 사이즈
	 */
	public final void setPageSize(final int pageSize) {
		this.pageSize = pageSize;
	}

	/**
	 * 시작 인덱스를 반환한다.
	 * 
	 * @return 시작 인덱스
	 */
	public final int getFirstIndex() {
		return firstIndex;
	}

	/**
	 * 시작 인덱스를 설정한다.
	 * 
	 * @param firstIndex
	 *            시작 인덱스
	 */
	public final void setFirstIndex(final int firstIndex) {
		this.firstIndex = firstIndex;
	}

	/**
	 * 끝 인덱스를 반환한다.
	 * 
	 * @return 끝 인덱스
	 */
	public final int getLastIndex() {
		return lastIndex;
	}

	/**
	 * 끝 인덱스를 설정한다.
	 * 
	 * @param lastIndex
	 *            끝 인덱스
	 */
	public final void setLastIndex(final int lastIndex) {
		this.lastIndex = lastIndex;
	}

	/**
	 * 페이지별 레코드 수를 반환한다.
	 * 
	 * @return 페이지별 레코드 수
	 */
	public final int getRecordCountPerPage() {
		return recordCountPerPage;
	}

	/**
	 * 페이지별 레코드 수를 설정한다.
	 * 
	 * @param recordCountPerPage
	 *            페이지별 레코드 수
	 */
	public final void setRecordCountPerPage(final int recordCountPerPage) {
		this.recordCountPerPage = recordCountPerPage;
	}

	/**
	 * 검색 키워드를 반환한다.
	 * 
	 * @return 검색 키워드
	 */
	public final String getSearchKeyword() {
		return searchKeyword;
	}

	/**
	 * 검색 키워드를 설정한다.
	 * 
	 * @param searchKeyword
	 *            검색 키워드
	 */
	public final void setSearchKeyword(final String searchKeyword) {
		this.searchKeyword = searchKeyword;
	}

	/**
	 * @return 검색 조건을 반환한다.
	 */
	public String getSearchCondition() {
		return searchCondition;
	}

	/**
	 * @param 검색 조건을 설정한다.
	 */
	public void setSearchCondition(String searchCondition) {
		this.searchCondition = searchCondition;
	}
}
